

public class DoublyNode<E> {
	public E data;
	public DoublyNode<E> prev;
	public DoublyNode<E> next;
	
	public DoublyNode() {
		this(null);
	}
	
	public DoublyNode(E data) {
		this(data, null, null);
	}
	
	public DoublyNode(DoublyNode<E> prev, DoublyNode<E> next) {
		this(null, prev, next);
	}
	
	public DoublyNode(E data, DoublyNode<E> prev, DoublyNode<E> next) {
		this.data = data;
		this.prev = prev;
		this.next = next;
	}
}
