

public class SinglyNode<E> {
	public E data;
	public SinglyNode<E> link;

	public SinglyNode() {
		this(null, null);
	}

	public SinglyNode(E data) {
		this(data, null);
	}
	
	public SinglyNode(SinglyNode<E> link) {
		this(null, link);
	}
	
	public SinglyNode(E data, SinglyNode<E> link) {
		this.data = data;
		this.link = link;
	}
}
